;
;
;
; The scrubber supports decorated sections as follows
;
;  Section.2K  - Windows 2000
;  Section.XP  - Windows XP
;  Section.2K3 - Windows 2003 Server
;  Section.VISTA  - Windows Vista
;  Section.XP64  - Windows XP x64
;  Section.VISTA64  - Windows Vista 64
;
;  Section.NT  - Windows 2000, XP, 2K3, Vista
;  Section.x64 - Windows XP64, Vista64
;
;  [Section]     - all OS's
;
; The order of precedence for decoration in decending order is as follows
;  OS specific (95, 98, Me, NT4, 2000, XP)
;  Platform (9x, NT)
;  Undecorated
;
; The main section is special as it specifies the execution order of the
; scrubber.  The format of the main section is
;  <Number>=<ScrubberFunction>,<Section Name>
;
;  <Number> specifies if this should be ran first, second, etc -- starts at 1.
;  <ScrubberFunction> can be any of the functions listed below
;  <SectionName> is the name of the section with parameters for the scrubber function.
;
; The following scrubber functions are supported
;  RunApplications      Applications to run
;  KillApplications    	Kill problem applications
;  Devices             	Remove devices, drivers, and inf files
;  PrinterDrivers	Remove printers and drivers
;  ScannerDrivers	Remove scanners and drivers
;  Monitors         	Remove language monitors
;  PrintProcessors     	Remove print processors
;  Files              	Remove files
;  DevicePath         	Remove strings from the device path key
;  Registry           	Remove registry keys
;  UnusedPorts		Remove unused virtual ports from the system
;
; RunApplications function
;  <number>=<application>,[flags]
;  This function executes each of the specified applications.  The default behavior
;  is to wait for the application to complete before continuing and to ignore
;  the exit code of the application.  This behavior can be modified by the following
;  flags that are or'd together.
;    1=Do not wait for application to complete.
;    2=Do not show the application window.
;    4=Stop scrubbing if the return value is zero.
;    8=Stop scrubbing if the return value is non-zero.
;   16=Stop scrubbing if the executable file is not found.
;
; KillApplications function
;  <number>=application
;  This function attempts to stop each of the specified applications if they are running.
;
; Devices function
;  <number>=<device id>
;  This function attempts to remove the device.  The default behavior is to only remove the
;  device.  This behavior can be modified with the following flag
;    1=Remove inf and pnf files that match on the device id
;    2=Do not remove the device
;
; PrinterDrivers function
;  <number>=<printer driver>
;  This function cancels any print jobs for printers using the specified drivers, deletes
;  all printers using the driver, and then deletes the driver.
;
; ScannerDrivers function
;  <number>=<scanner driver>
;  This function deletes any scanners with the specified name.
;
; Monitors function
;  <number>=<monitor>
;  This function deletes the specified language monitors.  The monitor will not be deleted if
;  it is currently being used by another printer driver.
;
; PrintProcessors function
;  <number>=<print processor>
;  This function deletes the specified print processors.
;
; Files function
;  <number>=<file>,[flags]
;  This function removes the specified file or directory.  The default behavior is to simply
;  attempt to delete the file or directory.  This behavior can be modified with the folowing
;  flags that are or'd together.
;    1=Set file attributes to normal before attempting to delete the file.
;    2=Set the file for deletion on reboot if the file is in use.
;    4=Recursively remove files if a directory is specified.
;
; DevicePath function
;  <number>=<string>
;  This function removes all occurances of string from the DevicePath
;
; Registry function
;  <number>=<key>,[flags]
;  This function deletes the specified key or value from the registry.  The default behavior is
;  to delete the key or value only if it exactly matches the key specified.  This behavior can be
;  modified with the following flag
;    1 = Delete the key based on a substring match.  The example below would delete all keys
;        under HKLM\Software\Hewlett-Packard that had LaserJet2840 as a substring.
;        HKLM\Software\Hewlett-Packard\LaserJet2840,1

; UnusedPorts function
;  <number>=<string>
;  This function removes any unused ports that contain the string in the port name.
;

[Scrubber]
Key=6F0D
Version=3.0.0.7
RunAfterReboot=False

[Main]
1=PrinterDrivers,PrinterDriverSection
2=Devices,DeviceSection
;3=ScannerDrivers,ScannerSection
3=Files,FileSection
4=Registry,RegistrySection

[PrinterDriverSection.NT]
1=HP LaserJet P2050 Series PCL6

[DeviceSection]
1=Vid_03f0&Pid_5C17,1
2=Hewlett-PackardHP_La99AD,1
3=Hewlett-PackardHP_La51D9,1
4=Hewlett-PackardHP_La50AC,1
5=Hewlett-PackardHP_LaA9AF,1
6=Hewlett-PackardHP_La9068,1
7=Hewlett-PackardHP_La60AE,1
8=Hewlett-PackardHP_La39AE,1
9=Hewlett-PackardHP_La5039,1
10=Hewlett-PackardHP_LaF0AF,1
11=Hewlett-PackardHP_LaC9AE,1
12=Hewlett-PackardHP_La50C9,1
13=Hewlett-PackardHP_La00AF,1
14=Hewlett-PackardHP_La59AF,1
15=Hewlett-PackardHP_La9098,1
16=Hewlett-PackardHP_La90AE,1
17=Hewlett-PackardHP_LaAE38,1


[FileSection.NT]
1=%InstallDir%Temp\{6F801026-6AF0-4520-9153-4C9B4CAAB361},7
2=%InstallDir%{6F801026-6AF0-4520-9153-4C9B4CAAB361},7
3=%InstallDir%HP LaserJet P2050 Series,7
4=%InstallDir%Digital Imaging\{6F801026-6AF0-4520-9153-4C9B4CAAB361},7

[RegistrySection]
1=HKLM\Software\Hewlett-Packard\DigitalImaging\HP LaserJet P2050 Series PCL6
2=HKLM\Software\Hewlett-Packard\hpp
3=HKLM\Software\Hewlett-Packard\HP_LaserJet_P2050_Series,1
7=HKLM\Software\Hewlett-Packard\usg\HP LaserJet P2050,1
8=HKLM\Software\Hewlett-Packard\{6F801026-6AF0-4520-9153-4C9B4CAAB361},1
9=HKLM\Software\Hewlett-Packard\Installed Products\{6F801026-6AF0-4520-9153-4C9B4CAAB361}
10=HKLM\Software\Hewlett-Packard\Installed Products\{DEB7828B-8DC7-455c-B8C7-36FABB29AF0D} 
11=HKLM\Software\Hewlett-Packard\Installed Products\{D7363C14-3D06-4a17-9C8D-3A85B9650457}
12=HKLM\Software\Hewlett-Packard\Install\{6F801026-6AF0-4520-9153-4C9B4CAAB361},1
13=HKLM\Software\Hewlett-Packard\DigitalImaging\DeviceDiscovery\NetworkPorts\HPLaserJetP2053,1
14=HKLM\Software\Hewlett-Packard\DigitalImaging\DeviceDiscovery\NetworkPorts\HPLaserJetP2054,1
15=HKLM\Software\Hewlett-Packard\DigitalImaging\DeviceDiscovery\NetworkPorts\HPLaserJetP2055,1
16=HKLM\Software\Hewlett-Packard\DigitalImaging\DeviceDiscovery\NetworkPorts\HPLaserJetP2056,1
17=HKLM\Software\Hewlett-Packard\DigitalImaging\DeviceDiscovery\NetworkPorts\HPLaserJetP2057,1
13=HKLM\Software\Hewlett-Packard\{7A801026-6AF0-4520-9153-4C9B4CAAB361},1
14=HKLM\Software\Hewlett-Packard\Install\{7A801026-6AF0-4520-9153-4C9B4CAAB361},1
15=HKLM\Software\Hewlett-Packard\Installed Products\{7A801026-6AF0-4520-9153-4C9B4CAAB361}

; User specified variables
;  Predefined varibles are:
;	SystemDir=GetSystemDirectory()
;	WindowsDir=GetWindowsDirectory()
;	PrinterDriverDir=GetPrinterDriverDirectory()
;	ProgramFilesDir=HKLM\Software\Microsoft\Windows\CurrentVersion\ProgramFilesDir

[VAR]
Uninstaller=HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\HP LaserJet P2050 Series\UninstallString
InstallDir=HKLM\SOFTWARE\Hewlett-Packard\DigitalImaging\InstallFolder
;ProgramsDir=HKLM\SOFTWARE\Hewlett-Packard\HP_Color_LaserJet_2700\hp lj root dir

;
; These variables obtain their value from a registry key.  The specified
; value is the default value should the key not be present.
;
[VarFromKey]
Uninstaller=
InstallDir=%ProgramFilesDir%\HP\
;ProgramsDir=
